Bug 698284 - NET-install asks for import of opensuse key
NET-install asks for import of opensuse key
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: libzypp
Milestone 1
All Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Andres
E-mail List
:
Depends on: 707207
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-06 15:46 UTC by Bernhard Wiedemann
Modified: 2011-08-24 09:05 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
zypper.log (74.54 KB, text/plain)
2011-06-06 15:46 UTC, Bernhard Wiedemann
Details
yast2 logs (447.25 KB, application/x-bzip)
2011-06-10 09:57 UTC, Bernhard Wiedemann
Details
yast2+zypper log files (465.97 KB, application/x-bzip)
2011-06-21 08:01 UTC, Bernhard Wiedemann
Details
yast2 logs (510.32 KB, application/x-bzip)
2011-08-23 15:14 UTC, Bernhard Wiedemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2011-06-06 15:46:26 UTC
Created attachment 433088 [details]
zypper.log

openSUSE-12.1 NET-installs ask for import of opensuse public key during second stage.
the key should already be trusted. DVD- and Live-installs work fine.

http://openqa.opensuse.org/viewimg/opensuse/testresults/openSUSE-NET-x86_64-Build0036/timeout-1.jpg

first seen 2011-05-31 but might have been in there much longer since install was broken before
Comment 1 Bernhard Wiedemann 2011-06-10 09:57:44 UTC
Created attachment 433946 [details]
yast2 logs
Comment 2 Michael Andres 2011-06-15 08:20:32 UTC
In the log I see the key (actually the same for all keys) being exported to a tmpfile and sucessfully read from this file:

2011-06-10 04:21:52 <1> 10.0.2.15(3121) [zypp] PublicKey.cc(readFromFile):247 
  Read pubkey from /var/tmp/zypp.hbUSGf/pubkey-B88B2FD43DBDC284-nCIUcP: 
  [B88B2FD43DBDC284-4be1884d] 
  [openSUSE Project Signing Key <opensuse@opensuse.org>]


But rpm fails to import the key, complaining 'no such file or directory'

2011-06-10 04:21:52 <1> 10.0.2.15(3121) [zypp++] 
  ExternalProgram.cc(start_program):229 Executing 
  'rpm' '--root' '/mnt' '--dbpath' '/var/lib/rpm' '--import' '--' 
  '/var/tmp/zypp.hbUSGf/pubkey-B88B2FD43DBDC284-nCIUcP'

2011-06-10 04:21:52 <1> 10.0.2.15(3121) [zypp++] RpmDb.cc(importPubkey):971 
  rpm: /var/tmp/zypp.hbUSGf/pubkey-B88B2FD43DBDC284-nCIUcP: 
       No such file or directory


Nevertheless the tmpfile later still exists:

2011-06-10 04:21:52 <1> 10.0.2.15(3121) [zypp++] TmpPath.cc(~Impl):78 
  TmpPath cleaned up /var/tmp/zypp.hbUSGf/pubkey-B88B2FD43DBDC284-nCIUcP
  {- 0600 0/0 size 988}


@mls: any idea waht rpm is actually missing?
Comment 3 Michael Schröder 2011-06-15 09:55:16 UTC
/usr/bin/rpmkeys is missing.
Comment 4 Michael Schröder 2011-06-15 09:56:03 UTC
Reassigned to installation-images maintainer.
Comment 5 Steffen Winterfeldt 2011-06-15 11:25:15 UTC
added
Comment 6 Bernhard Wiedemann 2011-06-21 08:01:00 UTC
Created attachment 435600 [details]
yast2+zypper log files

/usr/bin/rpmkeys is in Factory installation-images (probably for several days), but the bug still occurs

there is an rpm exception in y2log-1:3607
Comment 7 Bernhard Wiedemann 2011-06-21 08:04:38 UTC
reopening as bug is still reproducible
http://openqa.opensuse.org/viewimg/opensuse/testresults/openSUSE-NET-i586-Build0068-lxde/timeout-2.jpg
Comment 8 Stephan Kulow 2011-06-21 09:48:21 UTC
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] librpmDb.cc(DbDirInfo):519 '(/)/var/lib/rpm':
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] librpmDb.cc(DbDirInfo):519   Dir:    /var/lib/rpm{d 0755 0/0}
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] librpmDb.cc(DbDirInfo):519   V4:     /var/lib/rpm/Packages{does not exist}
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] librpmDb.cc(DbDirInfo):519   V3:     /var/lib/rpm/packages.rpm{does not exist}
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] librpmDb.cc(DbDirInfo):519   V3ToV4: /var/lib/rpm/packages.rpm3{does not exist}
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp] RpmDb.cc(internal_initDatabase):451 Creating new rpm4 database in /var/lib/rpm{d 0755 0/0}
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp++] RpmDb.cc(internal_initDatabase):464 Initial state: NO_INIT: '(/)/var/lib/rpm'[librpmDb CLOSED '(/)/var/lib/r
pm']
2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp] librpmDb.cc(dbAccess):237 Set new database location: '(/)/var/lib/rpm'
2011-06-21 03:03:19 <3> 10.0.2.15(3124) [zypp] librpmDb.cc(D):79 rpmdbInit error(-1): {NULL(/)/var/lib/rpm}
2011-06-21 03:03:19 <5> 10.0.2.15(3124) [zypp] Exception.cc(log):137 librpmDb.cc(D):82 THROW:    Failed to initialize database: Root: / dbPath: /var/lib/rpm
2011-06-21 03:03:19 <5> 10.0.2.15(3124) [zypp] Exception.cc(log):137 
2011-06-21 03:03:19 <5> 10.0.2.15(3124) [zypp] Exception.cc(log):137 librpmDb.cc(newLibrpmDb):201 CAUGHT:   Rpm Exception
2011-06-21 03:03:19 <5> 10.0.2.15(3124) [zypp] Exception.cc(log):137 librpmDb.cc(newLibrpmDb):204 RETHROW:  Rpm Exception
2011-06-21 03:03:19 <5> 10.0.2.15(3124) [zypp] Exception.cc(log):137 RpmDb.cc(initDatabase):359 CAUGHT:   Rpm Exception
Comment 9 Steffen Winterfeldt 2011-06-21 10:03:45 UTC
that's a zypp thing
Comment 10 Bernhard Wiedemann 2011-06-21 13:35:41 UTC
rpmdb is needed in installation images
Comment 11 Steffen Winterfeldt 2011-06-21 13:56:51 UTC
Actually, all if rpm is already there.

Any other suggestions?
Comment 12 Bernhard Wiedemann 2011-06-24 09:24:17 UTC
rpmdb and rpmkey are there and working, but the original problem remains
Comment 13 Michael Andres 2011-06-27 11:59:57 UTC
(In reply to comment #8)
> 2011-06-21 03:03:19 <1> 10.0.2.15(3124) [zypp] librpmDb.cc(dbAccess):237 Set
> new database location: '(/)/var/lib/rpm'
> 2011-06-21 03:03:19 <3> 10.0.2.15(3124) [zypp] librpmDb.cc(D):79 rpmdbInit
> error(-1): {NULL(/)/var/lib/rpm}

The above is most likely bug #702274 but not related to what Bernhard reposted.
Comment 15 Bernhard Wiedemann 2011-08-23 15:14:07 UTC
Created attachment 447207 [details]
yast2 logs

updated yast2 logs
Comment 16 Michael Andres 2011-08-24 09:05:15 UTC
To sum it up:

- Original bug (on 11.2 missing /usr/bin/rpmkeys) is fixed (comment #5)


- Comment #6 et seq. is a different problem (bug #707207). The error occurs in 'y2base installation ("continue")' when refreshing the repos. YaST has not yet intialized the target, so we don't know the trusted keys stored in the rpmdb.

Yast must init the target first, then refresh the repos. 

[The exception mentioned in comment #6 is no bug, but yast during installation for some reason also intialzes the target for '/' (the ramdisk), but there an rpmdb can't be created (/var is ro).]


Closing as FIXED, (leaving a reference to bnc#707207)